//按钮事件绑定标志
var isBindingEvent = 0;

//page出现的时候调用
function GetRequest() {
   var url = location.search; //获取url中"?"符后的字串
   var theRequest = new Object();
   if (url.indexOf("?") != -1) {
      var str = url.substr(1);
      strs = str.split("&");
      for(var i = 0; i < strs.length; i ++) {
         theRequest[strs[i].split("=")[0]]=unescape(strs[i].split("=")[1]);
      }
   }
   return theRequest;
}

$(document).on("pageshow", "#NusEventDetailView", function () {
	getNusEventDetailByEventID();
});

//page出现的时候调用
$(document).on("pagebeforecreate", "#NusEventDetailView", function () {
    if (isBindingEvent) {
        return;
    }
 
    //绑定事件
    bindingEvent();

    //设置按钮已经被绑定了事件
    isBindingEvent = 1;
});

var bindingEvent = function () {
    $("#NavigationBarBackButton").on("tap",eventsToolBarBackButtonClicked);
};

var eventsToolBarBackButtonClicked = function(){
	$.mobile.changePage("index_events.html",{transition:"slidefade",reverse:true});
}

//获取事件详情的连接串
var requestEventDetailUrl = "http://alumnet.nus.edu.sg/website/getEventById";

//当前月份
var currentEventID = "00001";

//获取事件详情
var getNusEventDetailByEventID = function () {
	var Request = new Object();
	Request = GetRequest();
	var eventId = Request['eventId'];
	console.info(eventId);
	//事件详情图片
	var EventDetailImage = document.getElementById("EventDetailImage");
	
	//事件名称
	var EventNameLabel = document.getElementById("EventNameLabel");
	
	//事件日期
	var EventDateLabel = document.getElementById("EventDateLabel");
	
	//事件地址 
	var EventAddressLabel = document.getElementById("EventAddressLabel");

	//时间联系方式
	var EventContactLabel = document.getElementById("EventContactLabel");
	
	//事件详情内容 
	var EventDetailInfoText = document.getElementById("EventDetailInfoText");
	
	//事件条件内容
	var EventTermsAndConditionInfoText = document.getElementById("EventTermsAndConditionInfoText");
	
	//注册按钮
	var EventDetailRegsiterButtonContain = document.getElementById("EventDetailRegsiterButtonContain");
	var EventDetailRegisterButton = document.getElementById("EventDetailRegisterButton"); 

	//显示加载进度
    $.mobile.loading("show");
	
	//请求嵌套数据字典
	var events = {
		'eventId': eventId
	};
	$.ajax({
            url: requestEventDetailUrl,
            dataType: "jsonp",
			data: events,
			complete: function(XMLHttpRequest, textStatus){
				//请求发出去之后调用
			},
			error: function(XMLHttpRequest, textStatus, errorThrown){
				//失败
				
				//隐藏加载进度
				$.mobile.loading("hide");
			},          
            success: function(json){

			    if(json != '' && json != null){

					var newImageUrl = json.photoUrl.replace("localhost:8080","alumnet.nus.edu.sg");

					EventDetailImage.innerHTML = '<img src="' + zhuanyi(newImageUrl) + '" width="100%">';

					if(json.title != undefined){
						EventNameLabel.innerHTML = zhuanyi(json.title);
					}
					else{
						EventNameLabel.innerHTML = "</br>";
					}

					var startDate = json.startDate.substring(0,json.startDate.indexOf(" "));
					var currentMonthEnglishText = "";
					var MonthEnglish = startDate.substring(startDate.indexOf("/")+1,startDate.lastIndexOf("/"));

					if(MonthEnglish.substring(0,1)== 0 ){
						MonthEnglish = MonthEnglish.substring(1,2);
					}

					switch (MonthEnglish)
					{
						case "1":
							currentMonthEnglishText = "January";
						break;
						case "2":
							currentMonthEnglishText = "February";
						break;
						case "3":
							currentMonthEnglishText = "March";
						break;
						case "4":
							currentMonthEnglishText = "April";
						break;
						case "5":
							currentMonthEnglishText = "May";
						break;
						case "6":
							currentMonthEnglishText = "June";
						break;
						case "7":
							currentMonthEnglishText = "July";
						break;
						case "8":
							currentMonthEnglishText = "August";
						break;
						case "9":
							currentMonthEnglishText = "September";
						break;
						case "10":
							currentMonthEnglishText = "October";
						break;
						case "11":
							currentMonthEnglishText = "November";
						break;
						case "12":
							currentMonthEnglishText = "December";
						break;
					}

					var month = currentMonthEnglishText;
					var day = startDate.substring(0,startDate.indexOf("/"));
					var year = startDate.substring(startDate.lastIndexOf("/")+1);

					EventDateLabel.innerHTML = month + " "+ day+", "+year;

					var eventAddress = "";

					var type = json.type;
					var address = json.address;

					if(type == 1 )
					{

						var arr = address.split(',');

						for(var i = 0;i < arr.length;i++)
						{

							switch (arr[i])
							{
								case "1":
									eventAddress = eventAddress + "All SFAH venues, ";
								break;
								case "2":
									eventAddress = eventAddress + "Basil, ";
								break;
								case "3":
									eventAddress = eventAddress + "Clove, ";
								break;
								case "4":
									eventAddress = eventAddress + "Lemongrass, ";
								break;
								case "48":
									eventAddress = eventAddress + "Auditorium, ";
								break;
								case "49":
									eventAddress = eventAddress + "The Concourse, ";
								break;
								case "50":
									eventAddress = eventAddress + "Benefactors Foyer, ";
								break;
								case "51":
									eventAddress = eventAddress + "Cardamon, ";
								break;
								case "52":
									eventAddress = eventAddress + "Thyme, ";
								break;
								case "53":
									eventAddress = eventAddress + "Waterway, ";
								break;
								case "54":
									eventAddress = eventAddress + "Alumni Terrace, ";
								break;
								case "55":
									eventAddress = eventAddress + "Alumni Terrace Faculty Square, ";
								break;
							}
						}

					}
					else if(type == 2){
						eventAddress = json.address.replace('|', ', ') + ', ';

						if (null != json.city && json.city != undefined) {
							eventAddress = eventAddress + json.city + ", ";
						}
						if (null != json.country && json.country != undefined) {
							eventAddress = eventAddress + json.country + ", ";
						}
						if (null != json.post&& json.post != undefined) {
							eventAddress = eventAddress + json.post + ", ";
						}
						if (eventAddress.indexOf(',') == 0) {
							eventAddress = eventAddress.substring(1,eventAddress.length - 2);
						} else {
							eventAddress = eventAddress.substring(0,eventAddress.length - 2);
						}
					}
					if(eventAddress != ''){
						if(eventAddress.substring(eventAddress.length-2)!=", "){
							EventAddressLabel.innerHTML = eventAddress;
						}else{
							EventAddressLabel.innerHTML = eventAddress.substring(0,eventAddress.length-2);
						}
					}
					else{
						EventAddressLabel.innerHTML = "</br>";
					}

					var eventPerson = json.person;
					var eventTel = json.tel;
					var eventEmail = json.email;
					var eventOrganiser = json.organiser;

					if(eventPerson == undefined){
						eventPerson = "";
					}
					else{
						eventPerson = eventPerson + "<br/>"
					}

					if(eventTel == undefined){
						eventTel = "";
					}
					else{
						eventTel = eventTel + "<br/>"
					}

					if(eventEmail == undefined){
						eventEmail = "";
					}
					else{
						eventEmail = eventEmail + "<br/>"
					}

					if(eventOrganiser == undefined){
						eventOrganiser = "";
					}
					else{
						eventOrganiser = "<span style='color:gray'>"+zhuanyi(eventOrganiser)+"</span>";
					}

					EventContactLabel.innerHTML = zhuanyi(eventPerson) + eventTel + eventEmail + zhuanyi(eventOrganiser);

					if(json.details != undefined){
						EventDetailInfoText.innerHTML = zhuanyi(json.details);
					}
					else{
						EventDetailInfoText.innerHTML = "</br>";
					}

					if(json.termsCondition != undefined){
						EventTermsAndConditionInfoText.innerHTML = zhuanyi(json.termsCondition);
					}
					else{
						EventTermsAndConditionInfoText.innerHTML = "</br>";
					}

					var registerLink = json.rgLink;
					var eventFlag = json.flag;

					if(eventFlag >=0 && registerLink != '1'){
						EventDetailRegisterButton.style.display = "block";
						EventDetailRegisterButton.href = registerLink;
					}
					else{
						EventDetailRegsiterButtonContain.innerHTML = "";
					}

				}

				//隐藏加载进度
				$.mobile.loading("hide");
			}
          });
};

function zhuanyi(name){
	if (name != undefined) {
		while (true) {
			if (name.indexOf('&#38#39') != -1 || name.indexOf('&#38#38#44')!=-1) {
				name = name.replace('&#38#39', "'");
				name = name.replace('&#38#38#44', ",");
			} else {
				break;
			}
		}
	}
	return name;
}